asfvideo.hpp File Reference

An Image subclass to support ASF video files. More...

`#include "exiv2lib_export.h"`
`#include "image.hpp"`

Go to the source code of this file.

## Classes

class | Exiv2::AsfVideo
| Class to access ASF video files. More...

## Namespaces

| Exiv2
| Provides classes and functions to encode and decode Exif and Iptc data. The libexiv2 API consists of the objects of this namespace.
| Exiv2::ImageType
| Supported image formats.

## Functions

EXIV2LIB_DEPRECATED_EXPORT Image::AutoPtr | Exiv2::newAsfInstance (BasicIo::AutoPtr io, bool create)
| Create a new AsfVideo instance and return an auto-pointer to it. Caller owns the returned object and the auto-pointer ensures that it will be deleted.
EXIV2LIB_DEPRECATED_EXPORT bool | Exiv2::isAsfType (BasicIo &iIo, bool advance)
| Check if the file iIo is a Windows Asf Video.

## Variables

const int | Exiv2::ImageType::asf = 24
| Treating asf as an image type>

## Detailed Description

An Image subclass to support ASF video files.

Author
  Abhinav Badola for GSoC 2012 mail.abu.to@gmail.com

Date
  08-Aug-12, AB: created